import React from 'react';
import { OCRBlock, OCRPageGroup } from '../ReactOCRRenderer.types';
export declare type ReactOCRRendererContextType = {
    pages: OCRPageGroup;
    setPages: (pages: OCRPageGroup) => void;
    scrollToBlock: (index: number) => void;
    nextBlock: () => void;
    prevBlock: () => void;
    currentBlock: OCRBlock | undefined;
    blockIds: string[];
    scrollToBlockId: (blockId: string) => void;
};
export declare const useReactOCRRenderer: () => ReactOCRRendererContextType;
export declare const ReactOCRRendererContextProvider: ({ children }: {
    children: React.ReactNode;
}) => React.JSX.Element;
